- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKShape Struct Reference

Representation of a shape. More...

`#include <IWORKShape.h>`

## Public Member Functions
| IWORKShape ()

## Public Attributes
IWORKGeometryPtr_t | m_geometry
IWORKStylePtr_t | m_style
IWORKPathPtr_t | m_path
IWORKTextPtr_t | m_text

## Detailed Description

Representation of a shape.

## Constructor & Destructor Documentation

libetonyek::IWORKShape::IWORKShape | ( |  | ) |

## Member Data Documentation

IWORKGeometryPtr_t libetonyek::IWORKShape::m_geometry

IWORKPathPtr_t libetonyek::IWORKShape::m_path

IWORKStylePtr_t libetonyek::IWORKShape::m_style

IWORKTextPtr_t libetonyek::IWORKShape::m_text

The documentation for this struct was generated from the following files:

- IWORKShape.h
- IWORKShape.cpp